Subject: bug#26009: libpng-apng

From: ng0 <[email-masked]>
Date: Mon, 13 Mar 2017 11:04:32 +0000

Kei Kebreau transcribed 2.1K bytes:
> ng0 <[email-masked]> writes:
> 
> > This adds `libpng-apng'. I had this in the dependency graph of palemoon,
> > a webbrowser I stopped to work on because of license/trademark/legal
> > insecurities.
> >
> > libpng-apng can be used to unbundle it from icecat. Despite the comment
> > in gnu/packages/gnuzilla.scm: This is a real, maintained software which
> > bases on top of libpng and tracks its releases.
> >
> > When libpng is updated, this package needs to be updated aswell as soon
> > as the updated release of the patch is out.
> >
> > I have appended the last version I packaged as a git format-patch file.
> >
> > In the description the 2 occurences of APGN (Animated Portable Network Graphics)
> > could be written with the @defn{} of texinfo I think,
> > and the synopsis could be changed to just "Animated Portable Network
> > Graphics library". I think back then I just copied upstrema in text.
> >
> > Should anyone be interested to finish the work on the webbrowser, the
> > repository with the branch is available at request.
> 
> For whatever reason, I can't get Guix to recognize libpng-apng as a
> package seperate from libpng (i.e. "guix build libpng-apng" returns a
> vanilla libpng directory). Do you have any idea why this is?

Interesting. For the process of building palemoon it worked.
I'll look into this as soon as I can, thanks for your feedback.